#include <stdio.h>
#include <string.h>
#include <stdlib.h>

void ip2char (char *p, char *buf);
void char2ip (char *buf, char *str, int pad);


int main (int argc, char *argv[]) {
	char *ip1 = "137.99.80.204";
	char buf[4];
	char str[16];
	printf ("ip1 %s\n", ip1);
	ip2char(ip1,buf);
	printf ("%hhu.%hhu.%hhu.%hhu\n",buf[0],buf[1],buf[2],buf[3]); 
	char2ip(buf,str,0);
	printf ("unpadded (%s)\n", str);
	char2ip(buf,str,1);
	printf ("padded (%s)\n", str);
	return 0;
}
	
void ip2char (char *p, char *buf) {
	printf ("1: p (%s)\n", p);
	while (p) {
		printf ("p (%s)", p);
		printf (" %d\n", atoi(p));
		*buf = atoi(p)&255;
		buf++;
		p = strchr(p, '.');
		if (p) p++;
	}
}

void char2ip (char *buf, char *str, int pad) {
	if (pad) {
		sprintf (str,"%03hhu.%03hhu.%03hhu.%03hhu",buf[0],buf[1],buf[2],buf[3]); 
	} else {
		sprintf (str,"%hhu.%hhu.%hhu.%hhu",buf[0],buf[1],buf[2],buf[3]); 
	}
}

